<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): /home/mohamed/code/tigl/src/app/tiglAppSSSPVertexSequential.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_ff4b04dd53616468f2d812c0c78deef9.html">app</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tiglAppSSSPVertexSequential.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="tiglAppSSSPVertexSequential_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef TIGLAPPSSSPVERTEXSEQUENTIAL_HPP_</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define TIGLAPPSSSPVERTEXSEQUENTIAL_HPP_</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">/* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * modification, are permitted provided that the following conditions</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * are met:</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *    Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    documentation and/or other materials provided with the</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *    distribution.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    its contributors may be used to endorse or promote products derived</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"> * INCLUDES</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglContainersVertexBase_8hpp.html">tiglContainersVertexBase.hpp</a>&quot;</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglMacros_8h.html">tiglUtilsMacros.h</a>&quot;</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="comment"> * SSSPNodeSeq structure</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DIST_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="structNodeDijkstra.html">   64</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structNodeDijkstra.html">SSSPNodeSeq</a> {</div>
<div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="structNodeDijkstra.html#a9fa65971a2d0276d564171c10a362a8c">   66</a></span>&#160;   DIST_TYPE <a class="code" href="structNodeDijkstra.html#a9fa65971a2d0276d564171c10a362a8c">distance</a>;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="structNodeDijkstra.html#a351a0f57e38bda16727785ac27958fa7">   69</a></span>&#160;   ID_TYPE <a class="code" href="structNodeDijkstra.html#a351a0f57e38bda16727785ac27958fa7">parent</a>;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;};</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment"> * COLOR enumeration</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="group__SSSP.html#gaf90824509586333cf45ce757d2711ce3">   86</a></span>&#160;<span class="keyword">enum</span> <a class="code" href="group__SSSP.html#gaf90824509586333cf45ce757d2711ce3">COLOR</a> {</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;   WHITE = 0, GRAY, PSEUDO_BLACK, BLACK</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;};</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="comment"> * vertexDijkstra class</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> IdType = <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span>&gt;</div>
<div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="classvertexDijkstra.html">  105</a></span>&#160;<span class="keyword">class </span><a class="code" href="classvertexDijkstra.html">vertexDijkstra</a>: <span class="keyword">public</span> <a class="code" href="classVertexBase.html">TIGLContainersVertexBase</a>&lt;DataType,</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;      SSSPNodeSeq&lt;typename EdgeType::DATA_TYPE, IdType&gt;, EdgeType, IdType&gt; {</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;   <span class="keyword">typedef</span> <a class="code" href="structNodeDijkstra.html">SSSPNodeSeq&lt;typename EdgeType::DATA_TYPE, IdType&gt;</a> <a class="code" href="structNodeDijkstra.html">ALG_DATA_TYPE</a>;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;   <span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="comment">    * constructor/destructor</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;   <a class="code" href="classvertexDijkstra.html">vertexDijkstra</a>(IdType key) :</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;         <a class="code" href="classVertexBase.html">TIGLContainersVertexBase&lt;DataType, ALG_DATA_TYPE, EdgeType, IdType&gt;</a>(key) {</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;   }</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;   ~<a class="code" href="classvertexDijkstra.html">vertexDijkstra</a>() {</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;   }</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;   <span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="comment">    * attributes</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;   <a class="code" href="group__SSSP.html#gaf90824509586333cf45ce757d2711ce3">COLOR</a> color;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;   <span class="comment">/*******************************************************************************</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="comment">    * methods</span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;   <span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;   <span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="classvertexDijkstra.html#aedf85f429035f9695682e396557e68a2">  142</a></span>&#160;   <span class="keywordtype">void</span> <a class="code" href="classvertexDijkstra.html#aedf85f429035f9695682e396557e68a2">init</a>() {</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;      <span class="comment">/*initializing the algData field and calling the base initialization function*/</span></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;      this-&gt;<a class="code" href="classVertexBase.html#a1194c063341fb9886a4836d30baaec86">algData</a>.<a class="code" href="structNodeDijkstra.html#a351a0f57e38bda16727785ac27958fa7">parent</a> = ILLEGAL_NODE;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;      this-&gt;<a class="code" href="classVertexBase.html#a1194c063341fb9886a4836d30baaec86">algData</a>.<a class="code" href="structNodeDijkstra.html#a9fa65971a2d0276d564171c10a362a8c">distance</a> = BIG_DBL_NUMBER; <span class="comment">//LARGE_NUMBER;</span></div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;      <a class="code" href="classVertexBase.html#a458ade4c962b0e139837e736b5099cea">TIGLContainersVertexBase&lt;DataType, ALG_DATA_TYPE, EdgeType, IdType&gt;::init</a>();</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;   }</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;   <span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;   <span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00154"></a><span class="lineno"><a class="line" href="classvertexDijkstra.html#aed3d307d9c60d23c3dcdc65a8581e1b7">  154</a></span>&#160;   <span class="keywordtype">void</span> <a class="code" href="classvertexDijkstra.html#aed3d307d9c60d23c3dcdc65a8581e1b7">init_src</a>() {</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;      <span class="comment">/*initializing the algData field and calling the base initialization function*/</span></div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;      this-&gt;<a class="code" href="classVertexBase.html#a1194c063341fb9886a4836d30baaec86">algData</a>.<a class="code" href="structNodeDijkstra.html#a351a0f57e38bda16727785ac27958fa7">parent</a> = ILLEGAL_NODE;</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;      this-&gt;<a class="code" href="classVertexBase.html#a1194c063341fb9886a4836d30baaec86">algData</a>.<a class="code" href="structNodeDijkstra.html#a9fa65971a2d0276d564171c10a362a8c">distance</a> = 0;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;      color = WHITE;</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;      <a class="code" href="classVertexBase.html#a458ade4c962b0e139837e736b5099cea">TIGLContainersVertexBase&lt;DataType, ALG_DATA_TYPE, EdgeType, IdType&gt;::init</a>();</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;   }</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;   <span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;   <span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00167"></a><span class="lineno"><a class="line" href="classvertexDijkstra.html#adb422e553fcc0d3501b6b3749291e6c0">  167</a></span>&#160;   <span class="keywordtype">bool</span> <a class="code" href="classvertexDijkstra.html#adb422e553fcc0d3501b6b3749291e6c0">compute</a>(<span class="keywordtype">void</span> * pIn = 0, <span class="keywordtype">void</span> * pOut = 0) {</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;      <a class="code" href="structNodeDijkstra.html">ALG_DATA_TYPE</a> * p = (<a class="code" href="structNodeDijkstra.html">ALG_DATA_TYPE</a> *) pIn;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;      <span class="keywordflow">if</span> ((p-&gt;<a class="code" href="structNodeDijkstra.html#a9fa65971a2d0276d564171c10a362a8c">distance</a>) &lt; this-&gt;<a class="code" href="classVertexBase.html#a1194c063341fb9886a4836d30baaec86">algData</a>.<a class="code" href="structNodeDijkstra.html#a9fa65971a2d0276d564171c10a362a8c">distance</a>) {</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;         this-&gt;<a class="code" href="classVertexBase.html#a1194c063341fb9886a4836d30baaec86">algData</a> = *p;</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;         <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;      } <span class="keywordflow">else</span></div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;         <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;   }</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;   <span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;   <span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00181"></a><span class="lineno"><a class="line" href="classvertexDijkstra.html#a827d80667686aaa7d848dbe3f0cbc074">  181</a></span>&#160;   <span class="keywordtype">void</span> <a class="code" href="classvertexDijkstra.html#a827d80667686aaa7d848dbe3f0cbc074">changeColor</a>() {</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;      <span class="keywordflow">switch</span> (color) {</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;         <span class="keywordflow">case</span> WHITE:</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;            color = GRAY;</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;         <span class="keywordflow">case</span> GRAY:</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;            color = PSEUDO_BLACK;</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;         <span class="keywordflow">case</span> PSEUDO_BLACK:</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;            color = BLACK;</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;         <span class="keywordflow">case</span> BLACK:</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;      }</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;   }</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;   <span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;   <span class="comment">/******************************************************************************/</span></div>
<div class="line"><a name="l00202"></a><span class="lineno"><a class="line" href="classvertexDijkstra.html#abb494a9f0e33c03ba9cf0964b273310d">  202</a></span>&#160;   <a class="code" href="group__SSSP.html#gaf90824509586333cf45ce757d2711ce3">COLOR</a> <a class="code" href="classvertexDijkstra.html#abb494a9f0e33c03ba9cf0964b273310d">getColor</a>() {</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;      <span class="keywordflow">return</span> color;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;   }</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;};</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* TIGLAPPSSSPVERTEXSEQUENTIAL_HPP_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="tiglContainersVertexBase_8hpp_html"><div class="ttname"><a href="tiglContainersVertexBase_8hpp.html">tiglContainersVertexBase.hpp</a></div></div>
<div class="ttc" id="classvertexDijkstra_html_aed3d307d9c60d23c3dcdc65a8581e1b7"><div class="ttname"><a href="classvertexDijkstra.html#aed3d307d9c60d23c3dcdc65a8581e1b7">vertexDijkstra::init_src</a></div><div class="ttdeci">void init_src()</div><div class="ttdoc">initialing the source vertex </div><div class="ttdef"><b>Definition:</b> tiglAppSSSPVertexSequential.hpp:154</div></div>
<div class="ttc" id="classvertexDijkstra_html_aedf85f429035f9695682e396557e68a2"><div class="ttname"><a href="classvertexDijkstra.html#aedf85f429035f9695682e396557e68a2">vertexDijkstra::init</a></div><div class="ttdeci">void init()</div><div class="ttdoc">initialing each vertex (other than the source vertex) </div><div class="ttdef"><b>Definition:</b> tiglAppSSSPVertexSequential.hpp:142</div></div>
<div class="ttc" id="classvertexDijkstra_html_adb422e553fcc0d3501b6b3749291e6c0"><div class="ttname"><a href="classvertexDijkstra.html#adb422e553fcc0d3501b6b3749291e6c0">vertexDijkstra::compute</a></div><div class="ttdeci">bool compute(void *pIn=0, void *pOut=0)</div><div class="ttdoc">updating the distance </div><div class="ttdef"><b>Definition:</b> tiglAppSSSPVertexSequential.hpp:167</div></div>
<div class="ttc" id="structNodeDijkstra_html_a351a0f57e38bda16727785ac27958fa7"><div class="ttname"><a href="structNodeDijkstra.html#a351a0f57e38bda16727785ac27958fa7">SSSPNodeSeq::parent</a></div><div class="ttdeci">ID_TYPE parent</div><div class="ttdef"><b>Definition:</b> tiglAppSSSPVertexSequential.hpp:69</div></div>
<div class="ttc" id="structNodeDijkstra_html_a9fa65971a2d0276d564171c10a362a8c"><div class="ttname"><a href="structNodeDijkstra.html#a9fa65971a2d0276d564171c10a362a8c">SSSPNodeSeq::distance</a></div><div class="ttdeci">DIST_TYPE distance</div><div class="ttdef"><b>Definition:</b> tiglAppSSSPVertexSequential.hpp:66</div></div>
<div class="ttc" id="classvertexDijkstra_html_a827d80667686aaa7d848dbe3f0cbc074"><div class="ttname"><a href="classvertexDijkstra.html#a827d80667686aaa7d848dbe3f0cbc074">vertexDijkstra::changeColor</a></div><div class="ttdeci">void changeColor()</div><div class="ttdoc">changing the vertex color after processing </div><div class="ttdef"><b>Definition:</b> tiglAppSSSPVertexSequential.hpp:181</div></div>
<div class="ttc" id="classVertexBase_html"><div class="ttname"><a href="classVertexBase.html">TIGLContainersVertexBase</a></div><div class="ttdoc">core vertex class </div><div class="ttdef"><b>Definition:</b> tiglContainersVertexBase.hpp:94</div></div>
<div class="ttc" id="tiglMacros_8h_html"><div class="ttname"><a href="tiglMacros_8h.html">tiglUtilsMacros.h</a></div></div>
<div class="ttc" id="classVertexBase_html_a1194c063341fb9886a4836d30baaec86"><div class="ttname"><a href="classVertexBase.html#a1194c063341fb9886a4836d30baaec86">TIGLContainersVertexBase&lt; DataType, SSSPNodeSeq&lt; EdgeType::DATA_TYPE, IdType &gt;, EdgeType, IdType &gt;::algData</a></div><div class="ttdeci">SSSPNodeSeq&lt; EdgeType::DATA_TYPE, IdType &gt; algData</div><div class="ttdoc">Algorithm-specific data. </div><div class="ttdef"><b>Definition:</b> tiglContainersVertexBase.hpp:164</div></div>
<div class="ttc" id="structNodeDijkstra_html"><div class="ttname"><a href="structNodeDijkstra.html">SSSPNodeSeq</a></div><div class="ttdoc">a structure that contains algorithm data for Dijkstra vertex </div><div class="ttdef"><b>Definition:</b> tiglAppSSSPVertexSequential.hpp:64</div></div>
<div class="ttc" id="classvertexDijkstra_html"><div class="ttname"><a href="classvertexDijkstra.html">vertexDijkstra</a></div><div class="ttdoc">vertex class for the sequential implementation of the SSSP algorithm </div><div class="ttdef"><b>Definition:</b> tiglAppSSSPVertexSequential.hpp:105</div></div>
<div class="ttc" id="classVertexBase_html_a458ade4c962b0e139837e736b5099cea"><div class="ttname"><a href="classVertexBase.html#a458ade4c962b0e139837e736b5099cea">TIGLContainersVertexBase::init</a></div><div class="ttdeci">virtual void init()</div><div class="ttdoc">core init function: trivial realization in the core class. This function is overriden by the algorith...</div><div class="ttdef"><b>Definition:</b> tiglContainersVertexBase.hpp:387</div></div>
<div class="ttc" id="classvertexDijkstra_html_abb494a9f0e33c03ba9cf0964b273310d"><div class="ttname"><a href="classvertexDijkstra.html#abb494a9f0e33c03ba9cf0964b273310d">vertexDijkstra::getColor</a></div><div class="ttdeci">COLOR getColor()</div><div class="ttdoc">returns the vertex color </div><div class="ttdef"><b>Definition:</b> tiglAppSSSPVertexSequential.hpp:202</div></div>
<div class="ttc" id="group__SSSP_html_gaf90824509586333cf45ce757d2711ce3"><div class="ttname"><a href="group__SSSP.html#gaf90824509586333cf45ce757d2711ce3">COLOR</a></div><div class="ttdeci">COLOR</div><div class="ttdoc">possible colors of the vertices during the algorithm execution </div><div class="ttdef"><b>Definition:</b> tiglAppSSSPVertexSequential.hpp:86</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Feb 25 2015 13:02:56 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
